package net.wanji.common.utils.tool;

import java.text.MessageFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.List;
import java.util.Date;

/**
 * @author Kent HAN
 * @date 2022/11/3 16:29
 */
public class TimeArrayUtil {

    /**
     * 返回一天的小时数组，按小时。如 ["00:00", "01:00" ... "23:00"]
     *
     * @author Kent HAN
     * @date 2022/11/3 16:30
     */
    public static List<String> getHourArray() {
        List<String> res = new ArrayList<>();
        for (int i = 0; i < 24; i++) {
            if (i < 10) {
                res.add(MessageFormat.format("0{0}:00", i));
            } else {
                res.add(i + ":00");
            }
        }
        return res;
    }

    /**
     * 按分钟段返回一天的时间数组。如 ["00:15", "00:30" ... ]
     * minutes，分钟段。如按每15分钟生成，则 minute 传15。
     * @author Kent HAN
     * @date 2022/11/3 16:30
     */
    public static List<String> getMinuteSectionArray(Integer minutes) {
        List<String> timeSegments = new ArrayList<>();
        SimpleDateFormat sdf = new SimpleDateFormat("HH:mm");
        for (int i = 0; i < 24 * 60; i += minutes) {
            Date date = new Date();
            date.setHours(i / 60);
            date.setMinutes(i % 60);
            timeSegments.add(sdf.format(date));
        }
        return timeSegments;
    }
}
